Bug 867938 - The anaconda (master branch) japanese translation is causing build errors
The anaconda (master branch) japanese translation is causing build errors
Status: CLOSED CURRENTRELEASE
Product: Fedora Localization
Classification: Fedora
Component: Japanese [ja] (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Noriko Mizumoto
Noriko Mizumoto
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 11:44 EDT by Brian Lane
Modified: 2014-05-09 14:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 14:58:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2012-10-18 11:44:11 EDT
Description of problem:
The translation for:
#: pyanaconda/ui/gui/spokes/lib/resize.py:169
#, python-format
msgid "<b>%s disk; %s reclaimable space</b> (in filesystems)"
msgid_plural "<b>%s disks; %s reclaimable space</b> (in filesystems)"
msgstr[0] ""

failed to build. I removed the translation and pushed the change back to transifex in order to proceed. I had the same problem with a previous build.
Comment 1 Brian Lane 2012-10-19 21:09:46 EDT
#: pyanaconda/ui/gui/spokes/lib/resize.py:169
#, python-format
msgid "<b>%s disk; %s reclaimable space</b> (in filesystems)"
msgid_plural "<b>%s disks; %s reclaimable space</b> (in filesystems)"
msgstr[0] ""
"<b>%s 個のディスク; %s つの獲得可能領域</b> (ファイルシステム内)\n"
"<b>%s 個のディスク群; %s つの獲得可能領域</b> (ファイルシステム内)\n"
"\n"
"  "

is what keeps appearing in ja.po and causing this error:
ja.po:2601: number of format specifications in 'msgid_plural' and 'msgstr[0]' does not match
/usr/bin/msgfmt: found 1 fatal error
Comment 2 Noriko Mizumoto 2012-10-20 21:13:28 EDT
Hi Brian

Plural format for Japanese is different from European language. We do not have plural. Could you check if anaconda PO contains correct format for Japanese?
Japanese format is: nplurals=1; plural=0
Comment 3 Brian Lane 2012-10-22 12:15:57 EDT
yes, po/ja.po has:

"Plural-Forms: nplurals=1; plural=0;\n"

And the latest version of the translation look like:
msgstr[0] "<b>%s 個のディスク; %s つの獲得可能領域</b> (ファイルシステム内)\n<b>%s 個のディスク群; %s つの獲得可能領域</b> (ファイルシステム内)\n\n  "
Comment 4 Noriko Mizumoto 2012-10-22 22:37:51 EDT
okay, modified the file by deliting duplicate string.
It should now read;

#: pyanaconda/ui/gui/spokes/lib/resize.py:169
#, python-format
msgid "<b>%s disk; %s reclaimable space</b> (in filesystems)"
msgid_plural "<b>%s disks; %s reclaimable space</b> (in filesystems)"
msgstr[0] "<b>%s 個のディスク; %s つの獲得可能領域</b> (ファイルシステム内) "

Could you please try build once again?
Thanks
Comment 5 Brian Lane 2014-05-09 14:54:13 EDT
I think we can safely close this now :)

Note You need to log in before you can comment on or make changes to this bug.